Skip to main content
`Ctrl`+`K`

# PetscDSGetType

Gets the `PetscDSType` name (as a string) from the `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetType(PetscDS prob, PetscDSType *name)

Not Collective; No Fortran Support

## Input Parameter

- prob - The `PetscDS`

## Output Parameter

- name - The `PetscDSType` name

## See Also

`PetscDSType`, `PetscDS`, `PetscDSSetType()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages